$(function() {
	var oContainer = $('#picture');
	var iCells = 0;
	var imageWidth = 220;
	var iWidth = 244;
	var iSpace = 20;
	var iOuterWidth = iWidth + iSpace;
	var arrT   = [];
	var arrL   = [];
	var iPage  = 1;
	var iBtn   = true;
	var iColor = "";
	var pUrl   = GetImageURL + "/";
	var sUrl   = "";
	var maxH   = 0;

	function fRandomBy(under, over){
	    switch(arguments.length){
	        case 1: return parseInt(Math.random()*under+1);
	        case 2: return parseInt(Math.random()*(over-under+1) + under);
	        default: return 0;
	    }
	}
    
	function setCell() {
		var widthstr = $(".container").css("width");
		if (widthstr) {
			var width    = widthstr.substring(0, widthstr.length -2);
			iCells = Math.floor(width / iOuterWidth);
		} else {
			iCells = Math.floor($(window).innerWidth() / iOuterWidth);
		}
		if (iCells < 1) {
			iCells = 1;
		}
		oContainer.css('width', iCells * iOuterWidth - iSpace);
	}

	setCell();
	
	for (var i=0; i<iCells; i++) {
		arrT[i] = 0;
		arrL[i] = iOuterWidth * i;
	}

	function getData() {
		if (!iBtn) {
			return ;
		}
		iBtn = false;
		sUrl = pUrl + iPage;
		iPage++;
		$.getJSON(sUrl, function(jData) {
			if ($.isEmptyObject(jData)) {
				return;
			};
			$('#loader').show();
			$.each(jData, function(index, obj) {

				var viewUrl = Home + 'view/' + obj.viewid;

				var oDiv = $('<div>');
				var iHeight   = obj.height * (imageWidth / obj.width) + 24 + 80;
				var _index = getMin();
				oDiv.css({
					left	:	arrL[_index],
					top		:	arrT[_index]
				});
				arrT[_index] += iHeight + iSpace;
				oDiv.css({
					width   : iWidth,
					height  : iHeight
				});
				oDiv.css("position","absolute");
				oDiv.css("background-color"," #fff");
				oContainer.append(oDiv);

				var section = $('<section>');
				section.addClass("post-featured-image");
				oDiv.append(section);

				var viewAs = $('<a>');
				viewAs.attr('href', viewUrl);
				viewAs.attr('target', "_black");
				viewAs.addClass("thumbnail");
				section.append(viewAs);

				var oImg = $('<img />');
				oImg.css("width","100%");

				var objImg = new Image();
				objImg.onload = function() {
					oImg.attr('src', this.src);
				}
				objImg.src = obj.url;
				viewAs.append(oImg);

				////////////////////////////////////////////

				var infoTitle = $('<h4>');

				infoTitle.addClass("picinfo");

				infoTitle.append(obj.title);

				oDiv.append(infoTitle);

				var infoTag = $('<span>');

				infoTag.addClass("label label-info");

				infoTag.append("性感");

				oDiv.append(infoTag);

				setTimeout(function() {
					$('#loader').hide();
				},1000)
				iBtn = true;
			})
		});
	}

	getData();

	function getMin() {
		var v = arrT[0];
		var _index = 0;
		
		for (var i=1; i<arrT.length; i++) {
			if (arrT[i] < v) {
				v = arrT[i];
				_index = i;
			}
		}
		return _index;
	}
	
	$(window).on('scroll', function() {
		if (maxH <= $(window).scrollTop()) {
			maxH = $(window).scrollTop();
		}

		var _index =getMin();
		var iH = $(window).scrollTop() + $(window).innerHeight();
		if (arrT[_index] + 50 < iH) {
			getData();
		}
	})
	
	$(window).on('resize', function() {
		var iLen = iCells;
		setCell();
		if (iLen == iCells) {
			return ;
		}
		arrT = [];
		arrL = [];
		for (var i=0; i<iCells; i++) {
			arrT[i] = 0;
			arrL[i] = iOuterWidth * i;
		}
		oContainer.find('div').each(function() {
			
			var _index = getMin();

			$(this).animate({
				left	:	arrL[_index],
				top		:	arrT[_index]
			}, 1000);
			arrT[_index] += $(this).height() + 12;
			
		});
	})
})
